servant-0.20.3.0: A family of combinators for defining webservices APIs

Safe Haskell | None
Language | Haskell2010

Servant.API.Experimental.Auth

Synopsis

- data AuthProtect (tag :: k)

# Documentation

data AuthProtect (tag :: k) Source #

A generalized Authentication combinator. Use this if you have a non-standard authentication technique.

NOTE: THIS API IS EXPERIMENTAL AND SUBJECT TO CHANGE.

#### Instances

Instances details

HasLink sub => HasLink (AuthProtect tag :> sub :: Type) Source # |
Instance details Defined in Servant.Links Methods toLink :: (Link -> a) -> Proxy (AuthProtect tag :> sub) -> Link -> MkLink (AuthProtect tag :> sub) a Source #
type MkLink (AuthProtect tag :> sub :: Type) a Source # |
Instance details Defined in Servant.Links type MkLink (AuthProtect tag :> sub :: Type) a = MkLink sub a